Subject: [spring] WG Adoption Call for draft-filsfils-spring-segment-routing-mpls

From: "Alvaro Retana (aretana)" <[email-masked]>
Date: Wed, 24 Sep 2014 13:07:34 +0000

Hi!

This message officially starts the call for adoption for draft-filsfils-spring-segment-routing-mpls.

Please indicate your position about adopting this draft by end-of-day on October 8, 2014.

Some additional background:  This draft describes the instantiation of Segment Routing on the MPLS data plane.  The Segment Routing Architecture is presented in draft-filsfils-spring-segment-routing (for which there is a separate call for adoption)

http://tools.ietf.org/html/draft-filsfils-spring-segment-routing-mpls

Thanks!

Alvaro.

---

From: <[email-masked]>
Date: Wed, 24 Sep 2014 13:14:16 +0000

Hi Alvaro,

I'm not aware of undisclosed IPR.

Bruno

From: Alvaro Retana (aretana) [mailto:[email-masked]]
Sent: Wednesday, September 24, 2014 3:08 PM
To: [email-masked]
Cc: [email-masked]
Subject: WG Adoption Call for draft-filsfils-spring-segment-routing-mpls

Hi!

Thanks!

Alvaro.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Henderickx, Wim (Wim)" <[email-masked]>
Date: Wed, 24 Sep 2014 13:15:21 +0000

I support adoption as a co-author. The document is complete to be adopted as WG doc

From: "Alvaro Retana (aretana)" <[email-masked]<mailto:[email-masked]>>
Date: Wednesday 24 September 2014 15:07
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [spring] WG Adoption Call for draft-filsfils-spring-segment-routing-mpls

Hi!

Thanks!

Alvaro.

---

From: <[email-masked]>
Date: Wed, 24 Sep 2014 13:49:44 +0000

Hi,

(as a co-author) I support working group adoption.

This document defines how the SPRING architecture can be applied to MPLS with existing hardware & networks and quite limited impact to MPLS sub-part (e.g. OAM & loadbalancing). IMO this is a very applicable declination of the SPRING architecture.

More specific comments:
- Eventually, the doc could list such "additional" MPLS requirements (e.g. hardware/software ability to push more labels on the ingress, load-balancing considerations in transit, OAM extensions...). Eventually in the section 8 "Manageability considerations" which is currently empty.
- Last sentence of section 6 "Segment List History" is eventually historic and need to be removed/updated.
- Security consideration needs to be written. A priori, as the MPLS principle are unchanged, MPLS SPRING probably does not change much the security consideration of MPLS networks therefore IMO this is not blocking for WG adoption. Existing doc on security may need to be referenced, e.g. RFC 5920 "Security Framework for MPLS and GMPLS Networks", may be saying that as LDP sessions are removed, LDP security aspects (as discussed in RFC 5036 and RFC 6952) no longer need to be considered.

Thanks,
Regards,
Bruno

Hi!

Thanks!

Alvaro.

---

From: "Stefano Previdi (sprevidi)" <[email-masked]>
Date: Wed, 24 Sep 2014 14:48:14 +0000

I support the draft as co-author.

s.

On Sep 24, 2014, at 3:07 PM, Alvaro Retana (aretana) wrote:

> _______________________________________________
> spring mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spring

---

From: Gregory Mirsky <[email-masked]>
Date: Wed, 24 Sep 2014 16:42:55 +0000

Hi,
yes/support adoption by the WG.

                Regards,
                                Greg

From: spring [mailto:[email-masked]] On Behalf Of Alvaro Retana (aretana)
Sent: Wednesday, September 24, 2014 6:08 AM
To: [email-masked]
Cc: [email-masked]
Subject: [spring] WG Adoption Call for draft-filsfils-spring-segment-routing-mpls

Hi!

Thanks!

Alvaro.

---

From: Christian Martin <[email-masked]>
Date: Wed, 24 Sep 2014 12:05:35 -0600

Support.

> On Sep 24, 2014, at 7:07 AM, "Alvaro Retana (aretana)" <[email-masked]> wrote:
> 
> Hi!
>

---

From: Ebben Aries <[email-masked]>
Date: Wed, 24 Sep 2014 14:26:08 -0600

support

On 09/24/2014 07:07 AM, Alvaro Retana (aretana) wrote:
> Hi!
>
> This message officially starts the call for adoption
> for draft-filsfils-spring-segment-routing-mpls.
>
> Some additional background:  This draft describes the instantiation of
> Segment Routing on the MPLS data plane.  The Segment Routing
> Architecture is presented in draft-filsfils-spring-segment-routing (for
> which there is a separate call for adoption)
>
> <https://urldefense.proofpoint.com/v1/url?u=http://tools.ietf.org/html/draft-filsfils-spring-segment-routing-mpls&k=ZVNjlDMF0FElm4dQtryO4A%3D%3D%0A&r=GJQFPrZyyh453ywaGV%2FvoQ%3D%3D%0A&m=YbwuSabFdksZIU0NaUiSfrtwnU%2F8BLhF1IceAYqlbHc%3D%0A&s=bb585b5a985b570b729c36298c18d327fcea402ea34b7f2cc98f70c47f673778>
>
> Thanks!
>
> Alvaro.
>
>
> https://urldefense.proofpoint.com/v1/url?u=https://www.ietf.org/mailman/listinfo/spring&k=ZVNjlDMF0FElm4dQtryO4A%3D%3D%0A&r=GJQFPrZyyh453ywaGV%2FvoQ%3D%3D%0A&m=YbwuSabFdksZIU0NaUiSfrtwnU%2F8BLhF1IceAYqlbHc%3D%0A&s=b73d5046f27e31f81f22f90d2fd5df2ba4f6c4ce052f579f829ef114c3ff9405
>

---

From: Uma Chunduri <[email-masked]>
Date: Thu, 25 Sep 2014 00:18:27 +0000

Support.

--
Uma C.

Hi!

Thanks!

Alvaro.

---

From: Rob Shakir <[email-masked]>
Date: Thu, 25 Sep 2014 06:57:36 +0100

Hi Alvaro,

Support the adoption of this draft.

Bruno,

I agree — it’d be good to capture (as we go forward) the additional MPLS requirements. We are currently iterating on a draft relating to the entropy label requirements, but it’d be good to give more general guidance for implementors going forward on these things. This draft seems like the natural home for such commentary.

Kind regards,
r.

On 24 Sep 2014, at 14:49, [email-masked] wrote:

> - Eventually, the doc could list such “additional” MPLS requirements (e.g. hardware/software ability to push more labels on the ingress, load-balancing considerations in transit, OAM extensions…). Eventually in the section 8 “Manageability considerations” which is currently empty.
> - Last sentence of section 6 “Segment List History” is eventually historic and need to be removed/updated.
> - Security consideration needs to be written. A priori, as the MPLS principle are unchanged, MPLS SPRING probably does not change much the security consideration of MPLS networks therefore IMO this is not blocking for WG adoption. Existing doc on security may need to be referenced, e.g. RFC 5920 “Security Framework for MPLS and GMPLS Networks”, may be saying that as LDP sessions are removed, LDP security aspects (as discussed in RFC 5036 and RFC 6952) no longer need to be considered.
>  
> Thanks,
> Regards,
> Bruno
>  
>

---

From: <[email-masked]>
Date: Thu, 25 Sep 2014 11:28:22 +0200

I support adoption as a WG document.

Von: spring [mailto:[email-masked]] Im Auftrag von Alvaro Retana (aretana)
Gesendet: Mittwoch, 24. September 2014 15:08
An: [email-masked]
Cc: [email-masked]
Betreff: [spring] WG Adoption Call for draft-filsfils-spring-segment-routing-mpls

Hi!

Thanks!

Alvaro.

---

From: Amit Dass <[email-masked]>
Date: Thu, 25 Sep 2014 10:22:03 +0000

I Support !!!

Hi!

Thanks!

Alvaro.

---

From: Saku Ytti <[email-masked]>
Date: Thu, 25 Sep 2014 14:08:37 +0300

Support with hopes rest of the providers pick this up, so we can start
capitalizing it on our network.

On 24 September 2014 16:07, Alvaro Retana (aretana) <[email-masked]> wrote:
> Hi!
>
> This message officially starts the call for adoption for
> draft-filsfils-spring-segment-routing-mpls.
>
> Segment Routing on the MPLS data plane.  The Segment Routing Architecture is
> presented in draft-filsfils-spring-segment-routing (for which there is a
> separate call for adoption)
>

-- 
  ++ytti

---

From: "Nagendra Kumar Nainar (naikumar)" <[email-masked]>
Date: Thu, 25 Sep 2014 13:19:05 +0000

Hi,

I support the adoption.

Thanks,
Nagendra

Date: Wednesday, September 24, 2014 at 9:07 AM

Hi!

Thanks!

Alvaro.

---

From: Tim LaBerge <[email-masked]>
Date: Thu, 25 Sep 2014 00:44:22 +0000

Support

Tim LaBerge

Hi!

Thanks!

Alvaro.

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Thu, 25 Sep 2014 22:14:08 +0000

Hi Alvaro,

Yes/Support the adoption of draft-filsfils-spring-segment-routing-mpls by the WG.

Thanks!

-Nobo

From: spring [mailto:[email-masked]] On Behalf Of Alvaro Retana (aretana)
Sent: Wednesday, September 24, 2014 9:08 AM
To: [email-masked]
Cc: [email-masked]
Subject: [spring] WG Adoption Call for draft-filsfils-spring-segment-routing-mpls

Hi!

Thanks!

Alvaro.